%define module	SCUBA-Table-NoDeco
%define name	perl-%{module}
%define version	0.03
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Calculate no-decompression dive times
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://pjf.id.au/download/scuba-table-nodeco/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module provides the ability to perform useful calculations using
dive-tables, including calculating dive groups and maximum no-decompression
times for repetitive dives. A selection of tables are available. The module
assumes that the diver is using air as their breathing gas.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Dec 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- first mdk release
